package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "脚本信息移动实体")
public class AtuScriptInfoMoveDto implements Serializable {
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("脚本ID")
    @Size(max = 32, message="脚本ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 脚本目录ID<br>
     */
    @ApiModelProperty("脚本目录ID")
    @Size(max = 32, message="脚本目录ID-groupId: 数据长度不能 > 32" )
    @NotBlank(message = "目录ID不能为空")
    private String groupId;

    @ApiModelProperty("脚本ID列表")
    private List<String> scriptIds;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public List<String> getScriptIds() {
        return scriptIds;
    }

    public void setScriptIds(List<String> scriptIds) {
        this.scriptIds = scriptIds;
    }
}
